-- MariaDB dump 10.19  Distrib 10.5.22-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: digitalSpine
-- ------------------------------------------------------
-- Server version	10.11.7-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `appliance`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `appliance` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'this is the internal id, the simple trusty auto inc to be used only internally or for approved interfaces',
  `accountId` int(10) unsigned NOT NULL DEFAULT 0,
  `serial` varchar(255) CHARACTER SET ascii COLLATE ascii_bin DEFAULT NULL,
  `name` varchar(2048) NOT NULL,
  `type` enum('AirSensor','Battery','Heating','EV','Generator','Meter','SmartPlug','DummyLoad') CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `model` varchar(255) DEFAULT NULL,
  `installDate` int(10) unsigned DEFAULT NULL,
  `lastIp` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL COMMENT 'yes I know I should use the varbinary16 and back with inet ntoa',
  `simulate` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `alreadyMetered` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'many devices can be counted twice in the power usage, if checked will not count toward the totals',
  `lastUpdate` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `notes` text DEFAULT NULL COMMENT 'used to simulate a more realistic entity',
  PRIMARY KEY (`id`),
  UNIQUE KEY `serial` (`serial`),
  KEY `accountId` (`accountId`),
  KEY `lastUpdate` (`lastUpdate`)
) ENGINE=InnoDB AUTO_INCREMENT=391 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='anything inside an house that can produce or absorb power';
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-09-26  2:02:01
